itpp::EXIT Class Reference
Communications Module » Miscellaneous Communications Functions

EXtrinsic Information Transfer (EXIT) chart. More...

`#include <itpp/comm/exit.h>`

## Public Member Functions

double | apriori_mutual_info (const double &in_sigma2A, const double &lim=100)
| Computes the a priori mutual information. More...
itpp::vec | generate_apriori_info (const itpp::bvec &bits)
| Generates a priori information assuming a Gaussian distribution of the a priori information. More...
double | extrinsic_mutual_info (const itpp::vec &obs, const itpp::bvec &cond, const int &N=100)
| Computes the extrinsic mutual information. More...

## Detailed Description

EXtrinsic Information Transfer (EXIT) chart.

Computes the A priori Mutual Information assuming a Gaussian distribution of the a priori information and the Extrinsic Mutual Information between the emitted bits and their extrinsic information

Description:

- the a priori mutual information is computed using relation (14)
- the extrinsic mutual information is computed by estimating first the conditional Probability Density Functions (PDF), given the emitted bits, and then numerically integrating according to relation (19)

Reference: Stephan ten Brink, ''Convergence behavior of iteratively decoded parallel concatenated codes,`` IEEE Transactions on Communications, oct. 2001

Definition at line 55 of file exit.h.

## Member Function Documentation

double itpp::EXIT::apriori_mutual_info | ( | const double & | in_sigma2A,
|  | const double & | lim = `100`
| ) |  |

inline

Computes the a priori mutual information.

It is assumed that the a priori information has a Gaussian distribution

Parameters

  in_sigma2A | variance of the a priori information
  lim | [-lim,+lim] is the integration interval (theoretically it should be [-inf,+inf])

Definition at line 61 of file exit.h.

References itpp::quad().

itpp::vec itpp::EXIT::generate_apriori_info | ( | const itpp::bvec & | bits | ) |

inline

Generates a priori information assuming a Gaussian distribution of the a priori information.

The variance of the a priori information must be already initialized through EXIT::apriori_mutual_info function. The information generated in this way is used sometimes as intrinsic information at the SISO module input.

Definition at line 72 of file exit.h.

References itpp::BPSK::modulate_bits(), itpp::randn(), and itpp::sqrt().

double itpp::EXIT::extrinsic_mutual_info | ( | const itpp::vec & | obs,
|  | const itpp::bvec & | cond,
|  | const int & | N = `100`
| ) |  |

Computes the extrinsic mutual information.

The conditional Probability Density Function (PDF) of the extrinsic information is estimated using the histogram of the extrinsic information and the knowledge of the emitted bits corresponding to the extrinsic information.

Parameters

  obs | extrinsic information obtained from the SISO module output
  cond | emitted bits corresponding to the extrinsic information
  N | number of subintervals used to compute the histogram

Definition at line 40 of file exit.cpp.

References itpp::elem_div(), itpp::elem_mult(), itpp::find(), itpp::Histogram< Num_T >::get_pdf(), itpp::log2(), itpp::max(), itpp::min(), itpp::Histogram< Num_T >::reset(), itpp::sum(), and itpp::Histogram< Num_T >::update().

The documentation for this class was generated from the following files:

- itpp/comm/exit.h
- itpp/comm/exit.cpp

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1